Issue 54715

Summary: Cell notes / Comment gets hidden in spreadsheet with split columns
Product: Calc Reporter: dmilet <david.milet>
Component: uiAssignee: oc
Status: CLOSED FIXED QA Contact: issues@sc <issues>
Severity: Trivial    
Priority: P2 CC: andre.schnabel, issues, marcus
Version: OOO 2.0 Beta2Keywords: oooqa, usability
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
A hidden note in cell A9 none

Description dmilet 2005-09-16 22:31:46 UTC
In spreadsheet with multiple columns, says that you split the spreadsheet after
the first column and freeze the panes.
In the first column add a comment to a cell. Hide the comment.
Scroll the second pane so that it displays columns 10+
Try to show the comment you've put on the cell in the 1st column : the comment
is hidden because column 2 is not visible.

Note that you can see the comment as "Tooltip" though. It is only when you
right-click on the cell to "Show Note" that the problem is seen.

Maybe related to Issue 44282
Comment 1 dmilet 2005-09-16 22:33:23 UTC
Created attachment 29611 [details]
A hidden note in cell A9
Comment 2 andreschnabel 2005-09-17 10:49:45 UTC
I can confirm the issue and i think it's related to issue 44282, as the root
cause for both seems to be the current implementation as text box object.

reading the specification for the new cell notes implementation, it seems some
points are missing there and cannot easily fixed with a "bug fix". (We need to
enhance the specs first).

Therefore setting as enhancement and assigning to requirements.
Comment 3 ace_dent 2008-05-16 01:40:23 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently assigned to 'Requirements' pending review, but
has not been updated within the last 2+ years. Please consider re-testing with
one of the latest versions of OOo, as the problem(s) may have already been
addressed. Either use the recent stable version:
http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 4 Marcus 2008-10-02 16:40:35 UTC
using this issue to track the fix also for OOo 2.4.2 as it is already fixed for
OOo 3.1 (together with several similar issues around "cell notes are not visible
when ..."

set me to the CC list
Comment 5 Marcus 2008-10-02 16:42:17 UTC
MLA->OC: set target to 2.4.2, please test when build available
Comment 6 Marcus 2008-10-06 13:41:14 UTC
set target to P2 due to incorrectly displayed cell notes when cell areas are
fixed, split, hidden
Comment 7 oc 2009-02-02 11:32:05 UTC
verified
Comment 8 oc 2009-02-02 11:32:43 UTC
closed